{
    num: 750,
    accuracy: 100,
    basePower: 0,
    category: "Status",
    name: "Magic Powder",
    pp: 20,
    priority: 0,
    flags: { protect: 1, reflectable: 1, mirror: 1, allyanim: 1, metronome: 1, powder: 1 },
    onHit(target) {
        if (target.getTypes().join() === "Psychic" || !target.setType("Psychic"))
            return false;
        this.add("-start", target, "typechange", "Psychic");
    },
    onTryHit(pokemon, source, move) {
        if (pokemon.side !== source.side) {
            pokemon.side.removeSideCondition("reflect");
            pokemon.side.removeSideCondition("lightscreen");
            pokemon.side.removeSideCondition("auroraveil");
        }
    },
    secondary: null,
    zMove: { boost: { spa: 1 } },
    target: "normal",
    type: "Psychic"
}
